## libident-0.22.tar.bz2

=== Makefile ===
#
# Makefile for the libident library
#

MAKE=make
SHELL=/bin/sh
RM=rm -f
RANLIB=ranlib
AR=ar

INSTROOT=/usr/local
LIBDIR=$(INSTROOT)/lib
INCDIR=$(INSTROOT)/include
MANDIR=$(INSTROOT)/share/man/man3

#
# Add -g for debugging information
#
# Add -DHAVE_ANSIHEADERS if your system have the ANSI C header files
# needed for our purposes (stdlib, string, unistd).
#
CFLAGS = -O -DINET6 #-I/usr/local/v6/include
  
LDLIBS = #-L/usr/local/v6/lib -linet6 #-lresolv
LIBIDENT = libident.a
SHLIBIDENT = libident.so
SHLIB0 = libident.so.0
SHLIB = libident.so.0.22

OBJS = ident.o id_open.o id_close.o id_query.o id_parse.o support.o version.o
SHOBJS=$(OBJS:.o=.sh.o)

%.sh.o: %.c
	$(CC) $(CFLAGS) -fPIC -c $*.c -o $@

#
fail:
	@echo "Select your platform and type 'make <platform>'"
	@echo ""
	@echo aix
	@echo bsd
	@echo bsd2.11
	@echo freebsd
	@echo dynix
	@echo hpux
	@echo irix
	@echo linux
	@echo netstep3.0
	@echo netstep3.1
	@echo sunos4
	@echo sunos5
	@echo svr4
	@echo ultrix
	@echo openvms
	@echo ""
	@echo other


all: 	$(LIBIDENT) $(SHLIBIDENT)

$(LIBIDENT):	$(OBJS)
	-$(RM) $(LIBIDENT)
	$(AR) cq $(LIBIDENT) $(OBJS)
	-$(RANLIB) $(LIBIDENT)

$(SHLIBIDENT):  $(SHOBJS)
	$(CC) -shared -D_REENTRANT -lc -Wl,-soname,$(SHLIB0) -o $@ $(SHOBJS)

testers: lookup-tester ident-tester

ident-tester: $(LIBIDENT) ident-tester.o
	$(CC) $(CFLAGS) -o ident-tester ident-tester.o $(LIBIDENT) $(LDLIBS)

lookup-tester: $(LIBIDENT) lookup-tester.o
	$(CC) $(CFLAGS) -o lookup-tester lookup-tester.o $(LIBIDENT) $(LDLIBS)


ident.o:	 ident.c         ident.h
id_open.o:	 id_open.c       ident.h
id_close.o:	 id_close.c      ident.h
id_query.o:	 id_query.c      ident.h
id_parse.o:	 id_parse.c      ident.h
support.o:	 support.c	 ident.h
ident-tester.o:  ident-tester.c  ident.h
lookup-tester.o: lookup-tester.c ident.h
version.o:	 version.c

#

version:
	(PACKNAME=`basename \`pwd\`` ; echo 'char id_version[] = "'`echo $$PACKNAME | cut -d- -f2`'";' >version.c)

#

install:
	-$(RM) $(LIBDIR)/$(SHLIB) $(LIBDIR)/$(SHLIB0)
	install -o root -g root -m 644 $(SHLIBIDENT) $(LIBDIR)/$(SHLIB)
	cd $(LIBDIR) && ln -s $(SHLIB) $(SHLIB0)

install-dev:
	-$(RM) $(LIBDIR)/$(LIBIDENT)
	install -o root -g root -m 644 $(LIBIDENT) $(LIBDIR)/$(LIBIDENT)
	-$(RANLIB) $(LIBDIR)/$(LIBIDENT)
	cd $(LIBDIR) && ln -s $(SHLIB0) $(SHLIBIDENT)
	-$(RM) $(INCDIR)/ident.h
	install -o root -g root -m 644 ident.h $(INCDIR)/ident.h
	-$(RM) $(MANDIR)/ident.3
	install -o root -g root -m 644 ident.3 $(MANDIR)/ident.3

clean:
	-$(RM) $(LIBIDENT) ident-tester lookup-tester *~ core *.o \#*
	-$(RM) $(SHLIBIDENT)

#

distZ:	clean version
	(PACKNAME=`basename \`pwd\`` ; cd .. ; /usr/gnu/bin/tar Zcf $$PACKNAME.tar.Z $$PACKNAME)

dist distz:	clean version
	(PACKNAME=`basename \`pwd\`` ; cd .. ; /usr/gnu/bin/tar cf - $$PACKNAME | gzip -9 >$$PACKNAME.tar.gz)



#
# System specific targets ---------------------------------------------
#
sunos5 solaris2 svr4:
	@$(MAKE) all CC="$(CC)" CFLAGS="-O -DHAVE_ANSIHEADERS" LDLIBS="-lsocket -lnsl" RANLIB=/bin/true

#
#
sunos sunos4 solaris1 ultrix:
	@$(MAKE) all CC="$(CC)" CFLAGS="-O -DHAVE_ANSIHEADERS"


irix:
	@$(MAKE) all CC="$(CC)" CFLAGS="-O -ansi -DHAVE_ANSIHEADERS" LDLIBS="-lsocket -lnsl" RANLIB=/bin/true

#
#
bsd:
	@$(MAKE) all CC="$(CC)" CFLAGS="-O -DSIGRETURNTYPE=int"

bsd2.11:
	@$(MAKE) all CC="$(CC)" CFLAGS="-O -DSIGRETURNTYPE=int -DHAVE_ANSIHEADERS"

freebsd:
	@$(MAKE) all CC="$(CC)" CFLAGS="-O -DHAVE_ANSIHEADERS -DINET6"

#
#
dynix dynix3:
	@$(MAKE) all CC="$(CC)" CFLAGS="-O -DSIGRETURNTYPE=int"

#
#
aix hpux hpux8 hpux9:
	@$(MAKE) all CC="$(CC)" CFLAGS="-O -DHAVE_ANSIHEADERS"

#
#
linux:
	@$(MAKE) all CC="gcc" CFLAGS="-O -DHAVE_ANSIHEADERS -DINET6 -I/usr/inet6/include"

#
#
nextstep3.0:
	@$(MAKE) all CC="$(CC)" CFLAGS="-O -Wall -s -object -DHAVE_ANSIHEADERS -DNeXT3"

#
#
NEXTARCHS=-arch m68k -arch i386

nextstep3.1:
	@$(MAKE) all CC="$(CC)" CFLAGS="-O -Wall -s -object -DHAVE_ANSIHEADERS -DNeXT3 $(NEXTARCHS)"


openvms:	all

other:		all

=== debian/changelog ===
libident (0.22-3) unstable; urgency=low

  * acknowledge NMUs.
    closes:#209057,#103890,#176348,#187072,#190712,#198996,#208040
    (with a different fix for 198996, remove the bashisms instead of forcing bash)
  * fix section and priorities.
    closes:#209102
  * Added IPv6 patches from http://kebo.vlsm.org/debian-ipv6/patch/libident/
  * Added misc patches, collected in the exim fork of libident.
  * Updated to Debian policy version 3.6.1.
  * fix XSI:isms in shell tests and deprecated head usage.
    closes:#256234
  * Include section info in package.
    closes:#288750
  * Take options out of $(AR) in Makefile, to facilitate cross-building.
    closes:#282911
  * Upload of new version mentioned in #231723 will follow after checking it...

 -- Paul Slootman <paul@debian.org>  Fri, 04 Mar 2005 15:16:38 +0100

libident (0.22-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove obsolete 'undef LD_PRELOAD', to get the source building on
    the autobuilders. (Closes: #209057)

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  7 Sep 2003 13:24:18 +0200

libident (0.22-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing manpage symlinks. (Closes: #103890)
  * Rebuilding library should fix prelinking problem. (Closes: #176348)
  * New upload will end up in the pool archive structure.
    Not really a bug, but it will solve it.  (Closes: #187072)
  * Fix typo in in.identtestd(8). (Closes: #190712)
  * Set SHELL=/bin/bash in debian/rules to avoid build errors when using
    a POSIX shell.  Patch from Göran Weinholt.  (Closes: #198996)
  * Add -D_REENTRANT when compiling the static library, to make sure the
    package follow Debian policy 11.2. (Closes: #208040)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 31 Aug 2003 19:09:22 +0200

libident (0.22-2) unstable; urgency=low

  * updated to debian policy version 3.0.1.

 -- Paul Slootman <paul@debian.org>  Thu, 28 Oct 1999 16:45:24 +0200

libident (0.22-1) unstable; urgency=low

  * new upstream source.
  * added workaround for ident servers that return a different format string,
    i.e. "%u,%U,%g,%G,%l,%L,%p,%c,%C" (Red Hat 5.0?) to prevent possible
    segmentation violation. Fix obtained from exim mailing list, originally
    from Darrell Fuhriman <darrell@grumblesmurf.net>.

 -- Paul Slootman <paul@debian.org>  Wed, 13 Jan 1999 13:11:30 +0100

libident (0.21-7) unstable; urgency=low

  * fixed the shlibs dependency version number.
  * updated to debian policy version 2.4.1.4.

 -- Paul Slootman <paul@debian.org>  Thu,  1 Oct 1998 09:20:56 +0200

libident (0.21-6) unstable; urgency=low

  * provide versionless .so link in -dev package. fixes:#26453
  * provide symlink /usr/doc/libident-dev to libident in -dev package.

 -- Paul Slootman <paul@debian.org>  Mon,  7 Sep 1998 15:46:20 +0200

libident (0.21-5) unstable; urgency=low

  * Didn't conform to policy (no separate -dev package). fixes:#22092
  * libident-dev now contains the man3 manpage, the include file, and the
    static library
  * libident now contains the tester program and the shared library.
  * manpage ident.3 now compressed. fixes:#20342
  * debian/files and debian/substvars now removed in clean target. fixes:#25403

 -- Paul Slootman <paul@debian.org>  Tue, 25 Aug 1998 10:07:48 +0200

libident (0.21-4) unstable; urgency=high

  * new maintainer
  * don't strip libs _completely_! fixes #17670,#17009,16487
  * added dependency info
  * wrote manpage for in.identtestd
  * should now adhere to debian policy version 2.4.0.0

 -- Paul Slootman <paul@debian.org>  Thu, 19 Mar 1998 18:53:23 +0100

libident (0.21-3) unstable; urgency=low

  * Changed architecture to "all" from i386.  Couldn't see any reason not
    to.  If anyone knows different, speak up.  Closes Bug #13700.

 -- Rob Browning <rlb@cs.utexas.edu>  Thu, 11 Dec 1997 00:19:27 -0600

libident (0.21-2) unstable; urgency=low

  * new maintainer
  * recompiled for libc6
  * strip libs and binaries

 -- Rob Browning <rlb@cs.utexas.edu>  Mon,  8 Dec 1997 18:52:07 -0600

libident (0.21-1) unstable; urgency=low

  * new upstream source

 -- Dale Scheetz <dwarf@polaris.net>  Thu, 20 Feb 1997 15:17:38 -0500

libident (0.17-4) unstable; urgency=low

  * changed architecture from all to i386

 -- Dale Scheetz <dwarf@polaris.net>  Fri, 27 Sep 1996 09:26:20 -0400

libident (0.17-3) unstable; urgency=low

  * Updated source package to Standards-Version 2.1.0.0.

 -- Dale Scheetz <dwarf@polaris.net>  Thu, 26 Sep 1996 18:46:11 -0400

Libident 0.17 Debian 2 - dcs

*updated architecture and naming in debian.rules/control

Libident 0.17 Debian 1 - dcs

*upgraded to lates version

Libident 0.16 Debian 2 - dcs

*Rebuild as ELF
*New package maintainer: Dale Scheetz <dwarf@polaris.net>

Libident 0.16 Debian 1 - iwj
Initial release, tested using built-in test program.

=== debian/control ===
Source: libident
Maintainer: Paul Slootman <paul@debian.org>
Section: libs
Priority: important
Standards-Version: 3.6.1

Package: libident
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: libident-dev
Description: simple RFC1413 client library - runtime
 This is a small library to interface to the Ident protocol server;
 "ident" enables a remote host to find out who's the owner of a
 network connection.
 . 
 /usr/sbin/in.identtestd is a small daemon (to be started from inetd)
 that does an ident lookup on you if you telnet into it. Can be used
 to verify that your Ident server is working correctly.

Package: libident-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libident(=${Source-Version}), ${shlibs:Depends}
Description: simple RFC1413 client library - development
 This is a small library to interface to the Ident protocol server.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

package  = $(shell grep "^Package: "  debian/control  |head -n 1|sed 's/Package: \(.*\)/\1/g')
source   = $(shell grep "^Source: "   debian/control  |head -n 1|sed 's/Source: \(.*\)/\1/g')
version  = $(shell grep "^$(source) " debian/changelog|head -n 1|sed 's/.*(\(.*\)\-[^\-]*).*/\1/g')
revision = $(shell grep "^$(source) " debian/changelog|head -n 1|sed 's/.*([^\-]*\-\(.*\)).*/\1/g')

installexe = install -g root -o root -m 755
installbin = $(installexe)
installdoc = install -g root -o root -m 644

tmpdir     = $(shell pwd)/debian/tmp
tmpdir-dev = $(tmpdir)-dev
instdirs   = $(tmpdir) \
	     $(tmpdir)/DEBIAN \
	     $(tmpdir)/usr/share/doc/libident \
	     $(tmpdir)/usr/sbin \
	     $(tmpdir)/usr/lib \
	     $(tmpdir)/usr/share/man/man8 \
	     $(tmpdir-dev) \
	     $(tmpdir-dev)/DEBIAN \
	     $(tmpdir-dev)/usr \
	     $(tmpdir-dev)/usr/share/doc \
	     $(tmpdir-dev)/usr/include \
	     $(tmpdir-dev)/usr/lib \
	     $(tmpdir-dev)/usr/share/man/man3

CC=gcc
CFLAGS=-g -Wall -DHAVE_ANSIHEADERS -D_REENTRANT
LDFLAGS=

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
else
    CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
    installbin += -s
endif

build:
	$(checkdir)
	echo 'char _id_version[] = "libident' $(version) Debian $(debian)'";' \
		>version.c
	$(MAKE) all INSTROOT=/usr CC="$(CC)" CFLAGS="$(CFLAGS)"
	$(MAKE) testers CC="$(CC)" CFLAGS="$(CFLAGS)"
	touch build

clean:
	$(checkdir)
	-rm -f build stamp-build
	-$(MAKE) -i clean
	-rm -rf *~ debian/tmp* debian/*~ debian/files* \
		debian/substvars* *.orig ./#*#

binary-indep: 
# None
	@echo 'No independent package components.' ; false

binary binary-arch:	checkroot build $(instdirs)
	$(MAKE) INSTROOT=$(tmpdir-dev)/usr install-dev
	$(MAKE) INSTROOT=$(tmpdir)/usr install
	$(installdoc) debian/copyright \
				$(tmpdir)/usr/share/doc/libident
	$(installdoc) README \
				$(tmpdir)/usr/share/doc/libident
	$(installdoc) debian/changelog \
				$(tmpdir)/usr/share/doc/libident/changelog.Debian
	$(installdoc) debian/in.identtestd.8 \
				$(tmpdir)/usr/share/man/man8
	$(installbin) -s ident-tester \
				$(tmpdir)/usr/sbin/in.identtestd
	gzip -v9 $(tmpdir)/usr/share/man/man?/*
	gzip -v9 $(tmpdir-dev)/usr/share/man/man?/*
	for manalias in ident_lookup ident_id ident_free id_open id_close id_query \
			id_parse id_fileno ; do \
		ln -s ident.3.gz $(tmpdir-dev)/usr/share/man/man3/$$manalias.3.gz ; \
	done
	# dont compress copyright
	gzip -v9 $(tmpdir)/usr/share/doc/libident/README
	gzip -v9 $(tmpdir)/usr/share/doc/libident/changelog.Debian
	strip --strip-debug    $(tmpdir-dev)/usr/lib/libident.a
	strip --strip-unneeded $(tmpdir)/usr/lib/libident.so.$(version)
	strip --remove-section=.comment $(tmpdir)/usr/lib/libident.so.$(version)
	ln -s libident $(tmpdir-dev)/usr/share/doc/libident-dev
	dpkg-shlibdeps $(tmpdir)/usr/sbin/in.identtestd
	dpkg-gencontrol -P$(tmpdir)     -plibident     -isp
	dpkg-gencontrol -P$(tmpdir-dev) -plibident-dev -isp
	$(installexe) debian/postinst $(tmpdir)/DEBIAN/postinst
	$(installexe) debian/postrm   $(tmpdir)/DEBIAN/postrm
	$(installdoc) debian/shlibs   $(tmpdir)/DEBIAN
	$(installexe) debian/postinst-dev $(tmpdir-dev)/DEBIAN/postinst
	chown -R root.root $(tmpdir) $(tmpdir-dev)
	chmod -R g-ws $(tmpdir) $(tmpdir-dev)
	dpkg --build $(tmpdir) ..
	dpkg --build $(tmpdir-dev) ..

define checkdir
	test -f id_open.c && test -f debian/rules
endef

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

zapdirs:
	-rm -rf $(tmpdir) $(tmpdir-dev)

$(instdirs): zapdirs
	install -d -m 755 $@
	chmod g-s $@
